Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.parser.destinations
Interface RtfDestinationListener

All Superinterfaces:
  java.util.EventListener

    public interface RtfDestinationListener

extends java.util.EventListener

`RtfDestinationListener` interface for handling events.

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

Method Summary
`int` | `afterCharacter(int ch)`
`RtfCtrlWordData` | `afterCtrlWord(RtfCtrlWordData ctrlWordData)`
`int` | `beforeCharacter(int ch)`
`RtfCtrlWordData` | `beforeCtrlWord(RtfCtrlWordData ctrlWordData)`
`int` | `onCharacter(int ch)`
`boolean` | `onCloseGroup()`
`RtfCtrlWordData` | `onCtrlWord(RtfCtrlWordData ctrlWordData)`
`boolean` | `onOpenGroup()`

Method Detail

### beforeCtrlWord

    RtfCtrlWordData beforeCtrlWord(RtfCtrlWordData ctrlWordData)

### onCtrlWord

    RtfCtrlWordData onCtrlWord(RtfCtrlWordData ctrlWordData)

### afterCtrlWord

    RtfCtrlWordData afterCtrlWord(RtfCtrlWordData ctrlWordData)

### beforeCharacter

    int beforeCharacter(int ch)

### onCharacter

    int onCharacter(int ch)

### afterCharacter

    int afterCharacter(int ch)

### onOpenGroup

    boolean onOpenGroup()

  Returns:
    true if all went well

### onCloseGroup

    boolean onCloseGroup()

  Returns:
    true if all went well

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD